<?php

use Webman\Route;

Route::group('/admin', function () {
    /* 鉴权 */
    Route::group('/auth', function () {
        Route::post('/login', [\app\admin\controller\auth\Auth::class, 'login']);
        Route::get('/userInfo', [\app\admin\controller\auth\Auth::class, 'userInfo']);
        Route::get('/refreshToken', [\app\admin\controller\auth\Auth::class, 'refreshToken']);
    })->middleware([
        \app\middleware\AdminAuthCheck::class
    ]);

    /* 角色管理 */
    Route::group('/sys/role', function () {
        Route::get('/list', [\app\admin\controller\sys_manage\Role::class, 'roleList']);
        Route::get('/info/{id:\d+}', [\app\admin\controller\sys_manage\Role::class, 'roleInfo']);
        Route::post('/add', [\app\admin\controller\sys_manage\Role::class, 'addRole']);
        Route::post('/update/{id:\d+}', [\app\admin\controller\sys_manage\Role::class, 'updateRole']);
        Route::delete('/delete/{id:\d+}', [\app\admin\controller\sys_manage\Role::class, 'delRole']);
        Route::post('/updateStatus/{id:\d+}', [\app\admin\controller\sys_manage\Role::class, 'updateStatus']);
    })->middleware([
        \app\middleware\AdminAuthCheck::class
    ]);

    /* 部门管理 */
    Route::group('/sys/dept', function () {
        Route::get('/list', [\app\admin\controller\sys_manage\Dept::class, 'deptList']);
        Route::get('/info/{id:\d+}', [\app\admin\controller\sys_manage\Dept::class, 'deptInfo']);
        Route::post('/add', [\app\admin\controller\sys_manage\Dept::class, 'addDept']);
        Route::post('/update/{id:\d+}', [\app\admin\controller\sys_manage\Dept::class, 'updateDept']);
        Route::post('/updateStatus/{id:\d+}', [\app\admin\controller\sys_manage\Dept::class, 'updateStatus']);
        Route::delete('/delete/{id:\d+}', [\app\admin\controller\sys_manage\Dept::class, 'delDept']);
    })->middleware([
        \app\middleware\AdminAuthCheck::class
    ]);

    /* 用户管理 */
    Route::group('/sys/user', function () {
        Route::get('/list', [\app\admin\controller\sys_manage\User::class, 'userList']);
        Route::get('/info/{id:\w+}', [\app\admin\controller\sys_manage\User::class, 'userInfo']);
        Route::post('/add', [\app\admin\controller\sys_manage\User::class, 'addUser']);
        Route::post('/update/{id:\w+}', [\app\admin\controller\sys_manage\User::class, 'updateUser']);
        Route::post('/updateStatus/{id:\w+}', [\app\admin\controller\sys_manage\User::class, 'updateStatus']);
        Route::delete('/delete/{id:\w+}', [\app\admin\controller\sys_manage\User::class, 'delUser']);
    })->middleware([
        \app\middleware\AdminAuthCheck::class
    ]);
});